import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _AVMetricMediaRendition extends _NSObject {
    static alloc(): _AVMetricMediaRendition;
    static new(): _AVMetricMediaRendition;
    init(): _AVMetricMediaRendition;
    /**
     * @property stableID @abstract Provides ID corresponding to the rendition. This is equivalent to the STABLE-RENDITION-ID in the HLS playlist. If not available, value is nil.
     */
    stableID(): _NSString | null;
    /**
     * @property URL @abstract Provides URL corresponding to the rendition's HLS playlist. If not available, value is nil.
     */
    URL(): _NSURL | null;
}
export interface _AVMetricMediaRendition extends _NSSecureCoding {
}
